{% extends "main_template.html" %}

{% load static %}

{% block title %} Registro Ruh70 {% endblock %}

{% block content %}

{% if form.errors %}
<p>Tu usuario y contraseña no coinciden, por favor intenta de nuevo</p>
{% endif %}

{% if next %}
    {% if user.is_authenticated %}
    <p>Tu cuenta no tiene acceso a estas pagina. Para proceder,
          por favor acceda a su cuenta.</p>
    {% else %}
    <p>Por favor inicie sesion para ver esta página</p>
    {% endif %}
{% endif %}

<form method="post" action="{% url 'login' %}"> {% csrf_token %}


  <table style="padding:10px 0px;color:white;margin:auto">
  <td>{{ form.username.label_tag }}</td>
  <td>{{ form.username }}</td>

  <td>{{ form.password.label_tag }}</td>
  <td>{{ form.password }}</td>

</table>
<div>
  <input type="submit" value="login" class="btn btn-lg btn-secondary fw-bold border-white bg-black"/>
  <input type="hidden" name="next" value="{{ next }}" />
</div>
</form>

{# Asumiendo que ya seconfiguró el password_reset view en el  URLconf #}
<p><a href="{% url 'password_reset' %}">¿Olvidó su contraseña?</a></p>

{% endblock %}
